
From: Andrew Morton <akpm@osdl.org>

Cc: Marcelo Tosatti <marcelo.tosatti@cyclades.com>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 lib/radix-tree.c |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

diff -puN lib/radix-tree.c~radix_tag_get-differentiate-between-no-present-node-and-tag-unset-cases-fix lib/radix-tree.c
--- devel/lib/radix-tree.c~radix_tag_get-differentiate-between-no-present-node-and-tag-unset-cases-fix	2005-08-30 12:19:50.000000000 -0700
+++ devel-akpm/lib/radix-tree.c	2005-08-30 12:19:50.000000000 -0700
@@ -418,15 +418,16 @@ EXPORT_SYMBOL(radix_tree_tag_clear);
 
 #ifndef __KERNEL__	/* Only the test harness uses this at present */
 /**
- *	radix_tree_tag_get - get a tag on a radix tree node
- *	@root:		radix tree root
- *	@index:		index key
- *	@tag: 		tag index
+ * radix_tree_tag_get - get a tag on a radix tree node
+ * @root:		radix tree root
+ * @index:		index key
+ * @tag: 		tag index
  *
- *	Return the search tag corresponging to @index in the radix tree.
+ * Return values:
  *
- *	Returns -1 if the tag is unset, or zero if there is no corresponding
- *	item in the tree.
+ *  0: tag not present
+ *  1: tag present, set
+ * -1: tag present, unset
  */
 int radix_tree_tag_get(struct radix_tree_root *root,
 			unsigned long index, int tag)
_
